#define BASEVERSION "012"
#define BASEDATE "20020331"

/*
 * agidata.h
 *
 * - AGI game version database for aginfo.c
 *
 * Author: Paul David Doherty <agi@pdd.de>
 *
 * 000:   7 Jul 1999  first version (beta)
 * 001:  18 Jul 1999  first non-beta version
 * 002:  17 Aug 1999  synchronized with Sarien 0.4.7
 * 003:  22 Sep 1999  more versions
 * 004:  25 Nov 1999  more versions
 * 005:  25 Nov 1999  more versions (argh... uploaded the other one)
 * 006:  ???    1999  more versions, checked against Sarien 0.4.9
 * 007:   8 May 2001  more homemade versions
 * 008:  28 Nov 2001  still more homemade versions; 1 new interpreter
 * 009:   8 Mar 2002  new PQ1 version (thx to Antti Leimi)
 * 010:  28 Mar 2002  7 new versions (thx to Antti Leimi & Stefan
 *                    Meier), checked against Sarien 0.7.0
 * 011:  29 Mar 2002  small cleanups
 * 012:  31 Mar 2002  more fan-fic added; checked against NAGI 2.0.6
 */

#define FFV 12
#define FFV3 13

struct intbase
  {
    char *interp;
    type16 crcvalue;
    type16 int_id;
  }
int_table[] =
{
  "2.089", 0x7b58, 0x2089,

    "2.272", 0x6806, 0x2272,

    "2.411", 0x863d, 0x2411,
    "2.425", 0x9d3e, 0x2425,
    "2.426", 0x92e0, 0x2426,
    "2.435", 0xdf4c, 0x2435,
    "2.439", 0x6dac, 0x2439,
    "2.440", 0x6e29, 0x2440,

    "2.903", 0x31ee, 0x2903,
    "2.912", 0x0068, 0x2912,
    "2.915", 0xe7f1, 0x2915,
    "2.917", 0xb00c, 0x2917,
    "2.917 (AGImouse 1.0/PAL)", 0x3bc9, 0x2917,
    "2.917 (Mouse)", 0xe1f0, 0x2917,

    "2.936", 0x0e1d, 0x2936,
    "2.936 (AGImouse 0.6/256col)", 0x7a9f, 0x2936,
    "2.936 (AGImouse 0.7/256col)", 0xc0f2, 0x2936,

    "3.002.086", 0x9269, 0x3086,

    "3.002.098", 0xe641, 0x3098,
    "3.002.102", 0x74a6, 0x3102,
    "3.002.107", 0x4a55, 0x3107,
    "3.002.149", 0x408e, 0x3149,

    "Tandy", 0xf9d0, 0xaaaa,

    "*", 0x0000, 0x0000
};

struct versionbase
  {
    char *game;			/* game title and platform */
    type8 agi_version;
    type16 crcvalue;		/* 16-bit CRC, agidata-internal */
    type32 df_check;		/* checksum (Sarien/Dark Fiber) */
    type16 interp_match;
  }
version_table[] =
{
/****************** SIERRA ORIGINALS ******************/

/*
   missing Sierra (listed in NAGI):

   ----what game do these belong to???---
   ; submitted by Charles Irwin
   ;and I have an iffy KQ3 crc... I say iffy, because it's from the original 5"
   ;disks, except disk 2 has a different vol.0, and object than either disk1 or
   ;3 (disk 1 and 3 are identical) I figure that it was shipped mistakenly with
   ;the wrong disk2...
   ;So anyway, I tried playing it with the vol.0 and
   ;object file from disk1, and it worked fine, until I got to where I needed
   ;disk 2, and couldn't find it... so, ultimately, I think these will be rather
   ;useless to you, since it's kinda incomplete, but thought you might want them
   ;anyway...
   ;dodgy disk 2
   ; NAGI should still match with the above checksums.
   ; I'll just assume this is from another game version
   ;crc_object,0x80BB91C4
   ;crc_vol_0,0x06D71677
   ;crc_vol_2,0xB69550FD

   ---next one is sq2 5.25---
   [sq2]
   name=Space Quest II v2.0f 1989-01-05
   inherits=pc_2_936
   protection=none
   id=SQ2
   crc_vol_3=0xFF8C15DA
   crc_vol_2=0x8C203D09
   crc_vol_1=0x56DDCB7F
   crc_vol_0=0xFD471C99
   crc_dir_log=0xAFF0879B
   crc_dir_view=0x2B4C4013
   crc_dir_pic=0xB6DB0C39
   crc_dir_snd=0x7700A783
   crc_object=0xB67FCB84
   crc_words=0xAEB974EC

   [duckahack]
   name=Donald Duck's Playground v1.0a Hacked 1986-08-08
   inherits=pc_2_272
   protection=none
   id=DUCK
   crc_object=0xAAA435AF
   crc_words=0xD849CEC1
   crc_vol_0=0x15A9B9F3
   crc_dir_log=0x76476821
   crc_dir_pic=0x2BB1F99E
   crc_dir_view=0x1FF418F0
   crc_dir_snd=0xC8ACDA2B

   ;submitted by Charles Irwin
   ;Kings Quest IV v2.0 1988-07-27
   ;(most of the file dates are July 27th, 1988)
   ;the only difference between this one and the KQ4 crc's you have listed is in the crc_vol_3... again, I don't know why.
   [kq4cr]
   name=Kings Quest IV v2.0 Cracked? 1988-07-27
   inherits=pc_3_002_086
   protection=kq4
   id=KQ4
   crc_object=0x9A24C702
   crc_words=0x0E4CA342
   crc_vol_0=0x99EA7F33
   crc_vol_1=0x8B0345F0
   crc_vol_2=0x314F238B
   crc_vol_3=0xA4B07EA0
   crc_dir=0xDA8ED9B8

 */

/********************** ID: DEMO **********************/

  "AGI Demo 1 [aka 5] (IBM) 05/87",
/* Nick Sonneveld believes this to be an Apple demo */
    2, 0xc9f7, 0x484aa, 0x2425,
    "AGI Demo 2 [aka 1] (IBM) 11/87",
    2, 0x110b, 0x8CC43, 0x2915,
    "AGI Demo 3 [aka 2] (IBM) 11/87",
    2, 0x09bd, 0x8856C, 0x2915,
    "AGI Demo 4 [aka 3] (IBM) 01/88",
    2, 0x725d, 0x843AC, 0x2917,
    "AGI Demo (Apple IIgs) 1.0c (censored)",
    2, 0x6967, 0x93260, 0x0000,
    "AGI Demo (Tandy)",
    2, 0xea3d, 0x4a057, 0xaaaa,

    "AGI Demo 5 [aka 4] (IBM) 09/88",
    3, 0xbf28, 0x89592, 0x3102,

/********************** ID: BC **********************/

    "Black Cauldron (IBM) 2.00 6/14/87",
    2, 0x9ca6, 0x24A18, 0x2439,
    "Black Cauldron (Amiga) 2.00 6/14/87",
    2, 0x31df, 0x25640, 0x0000,

    "Black Cauldron (IBM 3.5\") 2.10 11/10/88",
    3, 0x2c61, 0x23E0E, 0x3098,
    "Black Cauldron (IBM 5.25\") 2.10 11/10/88",	/* 5.25" is guessed */
    3, 0x9119, 0x22b50, 0x3098,
    "Black Cauldron (Apple IIgs) 1.0O 2/24/89 (CE)",
    3, 0x14a7, 0x285FB, 0x0000,

/********************** ID: DUCK **********************/

    "Donald Duck's Playground (ST) 1.0A 8/8/86",
/* Sarien incorrectly lists 1.0C for this */
    2, 0xec30, 0x1a7af, 0x0000,
    "Donald Duck's Playground (ST) 1.0A 8/8/86 *hacked*",	/* WANTED!!! */
    2, 0x0000, 0x00000, 0x0000,
    "Donald Duck's Playground (Amiga) 1.0C",
    2, 0x1d23, 0x1afba, 0x0000,

/********************** ID: GR **********************/

    "Gold Rush (IBM 3.5\") 2.01 12/22/88",
    3, 0xb9e3, 0xB1C9E, 0x3149,
    "Gold Rush (IBM 3.5\") 2.01 12/22/88 *crack*",
    3, 0x421b, 0xB1C08, 0x3149,
    "Gold Rush (IBM 5.25\") 2.01 12/22/88",
    3, 0x633f, 0xB5A25, 0x3149,
    "Gold Rush (IBM 5.25\") 2.01 12/22/88 *crack*",
    3, 0x98c7, 0xB598F, 0x3149,
    "Gold Rush (ST) 2.01 12/22/88",
    3, 0xd93d, 0xB68ab, 0x0000,
    "Gold Rush (Apple IIgs) 2.01 12/22/88",
    3, 0xb502, 0xb6f67, 0x0000,
    "Gold Rush (Amiga) 2.05 3/9/89",
/* Sarien lists chksum as 0x6effb... different version? */
    3, 0xfb22, 0xb3e1a, 0x0000,

/********************** ID: KQ1 **********************/

    "King's Quest 1 (IBM) 1.0U",	/* WANTED!!! */
    2, 0x0000, 0x00000, 0x2272,
    "King's Quest 1 (Amiga) 1.0U",
    2, 0xadfb, 0x49c6b, 0x0000,
    "King's Quest 1 (ST) 1.0V",
    2, 0xb966, 0x4a079, 0x0000,
    "King's Quest 1 (Mac) 2.0C",
    2, 0x7a75, 0x4C02C, 0x0000,
    "King's Quest 1 (IBM) 2.0F",
    2, 0x9844, 0x49EDA, 0x2425,
    "King's Quest 1 (IBM) 2.0F",	/* same game, diff interpreter */
    2, 0x9844, 0x49EDA, 0x2917,
    "King's Quest 1 (Apple IIgs) 1.0S-88223",
    2, 0xd09c, 0x4A9E8, 0x0000,

/********************** ID: KQ2 **********************/

    "King's Quest 2 (Apple IIgs) 2.0A",
    2, 0xbf73, 0x79d1b, 0x0000,
    "King's Quest 2 (Amiga) 2.0J",
    2, 0xb837, 0x5d395, 0x0000,
    "King's Quest 2 (Amiga) 2.0J [OBJECT decrypted]",
    2, 0x62ae, 0x5bce6, 0x0000,
    "King's Quest 2 (Amiga) 2.0J [OBJECT padded]",
    2, 0x4caa, 0x5f4b9, 0x0000,
    "King's Quest 2 (Mac) 2.0R",
    2, 0x6c7c, 0x6382E, 0x0000,
    "King's Quest 2 (IBM) 2.1",
    2, 0x010f, 0x633CB, 0x2411,
    "King's Quest 2 (IBM) 2.2",
    2, 0x4deb, 0x63338, 0x2426,
    "King's Quest 2 (IBM) 2.2",	/* same game, diff interpreter */
    2, 0x4deb, 0x63338, 0x2917,

/********************** ID: KQ3 **********************/

    "King's Quest 3 (IBM) 1.01 11/08/86",
    2, 0xdd4d, 0x88673, 0x2272,
    "King's Quest 3 (Amiga) 1.01 11/8/86",
    2, 0xe464, 0x888c1, 0x0000,
    "King's Quest 3 (Amiga) 1.01 11/8/86 *crack*",
    2, 0x3446, 0x88934, 0x0000,
    "King's Quest 3 (IBM) 2.00 5/25/87",
    2, 0xa0b9, 0x840d3, 0x2435,
    "King's Quest 3 (IBM 5.25\") 2.14 3/15/88",
    2, 0xa728, 0x8410B, 0x2936,
    "King's Quest 3 (IBM 3.5\") 2.14 3/15/88",
    2, 0xef1b, 0x83695, 0x2936,
    "King's Quest 3 (Mac) 2.14 3/15/88",
    2, 0x4bc4, 0x8410b, 0x0000,
    "King's Quest 3 (Apple IIgs) 2.0A",
    2, 0xbc09, 0x85cd4, 0x0000,

    "King's Quest 3 (Amiga) 2.15 11/15/89",
    3, 0x1c20, 0x84793, 0x0000,

/********************** ID: KQ4 **********************/

    "King's Quest 4 (Apple IIgs) 1.0K 11/22/88 (CE)",
    3, 0x9fc9, 0xaf778, 0x0000,
    "King's Quest 4 (IBM) 2.0 7/27/88",
/* NAGI lists this twice, as [kq4] and [kq4cor] */
    3, 0x4ade, 0xB124B, 0x3086,
    "King's Quest 4 (IBM) 2.0 7/27/88 *cracked*",	/* WANTED!!! */
    3, 0x0000, 0x00000, 0x3086,
    "King's Quest 4 (IBM) 2.2 9/27/88",
    3, 0x4829, 0xB291F, 0x3086,

/********************** ID: DM **********************/

    "King's Quest 4 demo (IBM)",
    3, 0x8000, 0x9CB15, 0x3102,

/********************** ID: LLLLL **********************/

    "Leisure Suit Larry 1 (IBM) 1.00 6/1/87",	/* also 2917 ?? */
    2, 0x86ec, 0x6F5E1, 0x2440,
    "Leisure Suit Larry 1 (IBM) 1.00 6/1/87 *padded*",
    2, 0xba6e, 0x6F5E1, 0x2440,
    "Leisure Suit Larry 1 (ST) 1.04 6/18/87",
    2, 0x1959, 0x6f7e1, 0x0000,
    "Leisure Suit Larry 1 (Mac) 1.05 6/26/87",
    2, 0x3147, 0x78202, 0x0000,
    "Leisure Suit Larry 1 (Amiga) 1.05 6/26/87",
/* old one incomplete; new version from Wolfgang U. is complete! */
    2, 0x868e, 0x6fddb, 0x0000,
    "Leisure Suit Larry 1 (Apple IIgs) 1.0E",
    2, 0x6763, 0x6e41e, 0x0000,

/********************** ID: MH **********************/

    "Manhunter 1: NY (ST) 1.03 10/20/88",
    3, 0xbbe0, 0x4Ce19, 0x0000,
    "Manhunter 1: NY (Amiga) 1.06 3/18/89",
    3, 0x321b, 0x4ba94, 0x0000,
    "Manhunter 1: NY (IBM 5.25\") 1.22 8/31/88",
  /* AGI-specs incorrectly have 8/30/88 for this one */
    3, 0x8b20, 0x4C16D, 0x3102,
    "Manhunter 1: NY (IBM 5.25\") 1.22 8/31/88",	/* same game, diff interpreter */
    3, 0x8b20, 0x4C16D, 0x3107,
    "Manhunter 1: NY (IBM 3.5\") 1.22 8/31/88",		/* don't have this but it must exist */
    3, 0xaa8d, 0x49687, 0x3102,
    "Manhunter 1: NY (IBM 3.5\") 1.22 8/31/88",		/* same game, diff interpreter */
    3, 0xaa8d, 0x49687, 0x3107,
    "Manhunter 1: NY (Apple IIgs) 2.0E 10/05/88 (CE)",
    3, 0x8759, 0x4C705, 0x0000,

/********************** ID: MH2 **********************/

    "Manhunter 2: SF (ST) 1.0 7/29/89",
    3, 0xb48d, 0x5360b, 0x0000,
    "Manhunter 2: SF (IBM 3.5\") 3.02 7/26/89",		/* 3.5" is guessed */
    3, 0xfc02, 0x53971, 0x3149,
    "Manhunter 2: SF (IBM 5.25\") 3.02 7/26/89",	/* WANTED!!! */
    3, 0x0000, 0x00000, 0x3149,
    "Manhunter 2: SF (IBM 3.5\") 3.03 8/17/89",		/* WANTED!!! */
    3, 0x0000, 0x00000, 0x3149,
    "Manhunter 2: SF (IBM 5.25\") 3.03 8/17/89",
    3, 0x2df0, 0x584f9, 0x3149,
    "Manhunter 2: SF (Amiga) 3.06 8/17/89",
    3, 0x6974, 0x53d51, 0x0000,

/********************** ID: MG **********************/

    "Mixed-Up Mother Goose (IBM)",
    2, 0x86f5, 0x5D77C, 0x2915,
    "Mixed-Up Mother Goose (IBM) [OBJECT corrupt]",
/* NAGI mistakenly (?) lists the other version as corrupt */
    2, 0xe305, 0x5D7C6, 0x2915,
    "Mixed-Up Mother Goose (Apple IIgs)",
    2, 0xbc6a, 0x5f4e8, 0x0000,

    "Mixed-Up Mother Goose (Amiga) 1.1",
    3, 0x493e, 0x5cfb1, 0x0000,

/********************** ID: PQ **********************/

    "Police Quest 1 (IBM) 2.0A 10/23/87",
    2, 0xc39b, 0x7F18B, 0x2903,	/* also 2911 ?? */
    "Police Quest 1 (Apple IIgs) 2.0A",
    2, 0xebee, 0x7DB3F, 0x0000,
    "Police Quest 1 (IBM) 2.0E 11/17/87",
    2, 0xff4b, 0x7EF35, 0x2915,
    "Police Quest 1 (IBM 5.25\"/ST) 2.0G 12/03/87",	/* 5.25" is guessed */
    2, 0x8733, 0x7EF06, 0x2917,
    "Police Quest 1 (IBM 3.5\") 2.0G 12/03/87",		/* 3.5" is guessed */
    2, 0x3dc1, 0x7E0BC, 0x2917,

    "Police Quest 1 (Amiga) 2.0B 2/22/89",
    3, 0x6507, 0x7f752, 0x0000,

/********************** ID: SQ **********************/

    "Space Quest 1 (IBM) 1.0X",
    2, 0x1230, 0x68036, 0x2089,
    "Space Quest 1 (IBM) 1.1A",
    2, 0xf754, 0x67F6E, 0x2272,
    "Space Quest 1 (ST) 1.1A",
    2, 0x8cde, 0x69597, 0x0000,
    "Space Quest 1 (Amiga) 1.2",
    2, 0x0502, 0x696dd, 0x0000,
    "Space Quest 1 (Mac) 1.5D",
    2, 0xe064, 0x6a277, 0x0000,
    "Space Quest 1 (IBM) 2.2",
    2, 0x4d2f, 0x68244, 0x2426,
    "Space Quest 1 (IBM) 2.2",	/* same game, diff interpreter */
    2, 0x4d2f, 0x68244, 0x2917,
    "Space Quest 1 (IBM) 2.2 [WORDS.TOK hacked]",
    2, 0xe0ea, 0x68555, 0x2917,
    "Space Quest 1 (Apple IIgs) 2.2",
    2, 0xa06f, 0x69ec0, 0x0000,

/********************** ID: SQ2 **********************/

    "Space Quest 2 (IBM 5.25\") 2.0A",	/* 5.25" is guessed */
    2, 0x0a1a, 0x8DB32, 0x2912,
    "Space Quest 2 (IBM 3.5\") 2.0A",	/* 3.5" is guessed */
    2, 0xd589, 0x8D825, 0x2912,
    "Space Quest 2 (Apple IIgs) 2.0A",
    2, 0xe5da, 0x8e983, 0x0000,
    "Space Quest 2 (IBM/ST) 2.0C",
    2, 0x3c7c, 0x8DA3E, 0x2915,	/* also 2917 ?? */
    "Space Quest 2 (IBM) 2.0D",	/* WANTED!!! */
    2, 0x0000, 0x00000, 0x2936,
    "Space Quest 2 (Mac) 2.0D",
    2, 0x527e, 0x8DF84, 0x0000,
    "Space Quest 2 (IBM 5.25\") 2.0F",	/* WANTED!!! */
    2, 0x0000, 0x00000, 0x2936,
    "Space Quest 2 (IBM 3.5\") 2.0F",	/* 3.5" is guessed */
    2, 0x79ac, 0x8E29B, 0x2936,
    "Space Quest 2 (Amiga) 2.0F",
    2, 0xd77e, 0x8fea6, 0x0000,
    "Space Quest 2 (ST) 2.?? *incomplete*",
    2, 0x3090, 0x52774, 0x0000,

/********************** ID: XMAS **********************/

    "Xmas Card 1986 (IBM)",
    2, 0x643a, 0x31677, 0x2272,

/****************** FANFIC V2 (FFV) ******************/

/*
   missing fan-fic (listed in NAGI):

   ;; FAN MADE GAMES

   [dg]
   name=DG v1.00 2001-10-31
   ; 917
   inherits=pc_buffbri
   ; prime candiate for adding the mouse stuff for
   id=DG
   crc_object=0x014D1D73
   crc_words=0x94B42919
   crc_vol_0=0xE0E71938
   crc_dir_log=0x8AC62EA4
   crc_dir_pic=0xCEAD2B82
   crc_dir_view=0x20A10FD0

   [disco1]
   name=Disco Nights 2001-06-17
   ; 917
   inherits=pc_2_936
   id=DISCO
   crc_vol_0=0x48B882FB
   crc_dir_log=0xD9A32E20
   crc_dir_view=0x6112FC4C
   crc_dir_pic=0x5F7D4EDC
   crc_dir_snd=0x86B17B09
   crc_object=0x3D97D1E4
   crc_words=0x0C194EAA

   [disco2]
   name=Disco Nights v0.1 2001-06-18
   ; 917
   inherits=pc_2_936
   id=DISCO
   crc_vol_0=0xEDE3B320
   crc_dir_log=0xF2381961
   crc_dir_view=0x36BDA82E
   crc_dir_pic=0xA8A0FBE7
   crc_dir_snd=0x86B17B09
   crc_object=0xF2195D2D
   crc_words=0x05704654

   [hit]
   name=Hitler's Legacy 2001-01-12
   ; MOUSE GAME
   inherits=pc_buffbri
   id=HIT
   crc_vol_0=0xE935114D
   crc_dir_log=0x129F33FB
   crc_dir_view=0x334E6CBC
   crc_dir_pic=0xFFFF017C
   crc_dir_snd=0x00000000
   crc_object=0xB9050330
   crc_words=0x48CCE405

   [hit2]
   name=Hitler's Legacy 2 2001-01-21
   ; MOUSE
   inherits=pc_buffbri
   id=HIT
   crc_vol_3=0xB81600EE
   crc_vol_2=0x7E0FFD70
   crc_vol_1=0x61675E98
   crc_vol_0=0xA9713296
   crc_dir_log=0x6BD63AB7
   crc_dir_view=0x8D969724
   crc_dir_pic=0x4B38E584
   crc_dir_snd=0x00000000
   crc_object=0xE64B4BC7
   crc_words=0x48CCE405

   [jeff]
   name=Jeff's Quest 0.5a 1998-05-31 
   inherits=pc_2_936
   id=JEFF
   crc_vol_1=0x14EBCECD
   crc_vol_0=0x0F453007
   crc_dir_log=0xEE8F6ED8
   crc_dir_view=0xD16F3269
   crc_dir_pic=0xA732A477
   crc_dir_snd=0x06ED7A18
   crc_object=0x13CF6BE6
   crc_words=0x1116041C

   [lp4]
   name=Lost Planet Progress 4 2001-01-09
   inherits=pc_buffbri
   id=LP
   crc_vol_0=0xCF58EE0B
   crc_dir_log=0xF8A6C23A
   crc_dir_view=0x7B3B57E4
   crc_dir_pic=0x03AFBBBF
   crc_dir_snd=0x00000000
   crc_object=0x142FAF23
   crc_words=0x474DFEF6

   [pimp]
   name=Pimp Quest 2001-02-10
   inherits=pc_2_440
   id=PIMP
   crc_vol_0=0xF6E852A0
   crc_dir_log=0x46D51A2F
   crc_dir_view=0x75FCB21B
   crc_dir_pic=0x29153CDA
   crc_dir_snd=0x00000000
   crc_object=0x95AC5ED7
   crc_words=0xEA251D9F

   [pimp2]
   name=Pimp Quest 2001-02-11
   inherits=pc_2_440
   id=PIMP
   crc_vol_0=0x1ACE4E9A
   crc_dir_log=0xB8BA0AB5
   crc_dir_view=0xAC10B18F
   crc_dir_pic=0x8935E0A5
   crc_dir_snd=0x00000000
   crc_object=0x1675AB7C
   crc_words=0x0A174E84

   [sqm]
   name=SQ Mouse Demo 2001-03-16
   inherits=pc_buffbri
   id=SQM
   crc_vol_0=0x5376723F
   crc_dir_log=0xCB354D78
   crc_dir_view=0x91562469
   crc_dir_pic=0xB22AD815
   crc_dir_snd=0x3846126B
   crc_object=0xCBE73F94
   crc_words=0xB4343489

   [tlc]
   name=Space Quest: The Lost Chapter 2001-02-04
   inherits=pc_2_936
   id=TLC
   crc_vol_1=0x6717A246
   crc_vol_0=0xD0F4CBE7
   crc_dir_log=0x25D1E526
   crc_dir_view=0xCCBB3C3B
   crc_dir_pic=0xF398F584
   crc_dir_snd=0xEABBFE13
   crc_object=0x3E5E7D8D
   crc_words=0x6272C53E

   [tlc2]
   name=Space Quest: The Lost Chapter 2001-02-19
   inherits=pc_2_936
   id=TLC
   crc_vol_1=0xA881F808
   crc_vol_0=0x7CCDBCBF
   crc_dir_log=0xA2AE3551
   crc_dir_view=0x841FE224
   crc_dir_pic=0x5A557B4A
   crc_dir_snd=0x25BBCA16
   crc_object=0x059540C8
   crc_words=0xD176CF58

   ;submitted by Charles Irwin
   ;and this is the version of TLC that has built-in mouse support... strangely enough, called:
   ;Space Quest: The Lost Chapter - mouse support v1.0
   ;and the majority of the file dates are April 5, 2001... so it is probably dated 2001-04-05.
   [tlcmouse]
   name=Space Quest: The Lost Chapter - Mouse 2001-04-05
   inherits=pc_buffbri
   id=TLC
   crc_object=0x059540C8
   crc_words=0xD176CF58
   crc_vol_0=0xCF3E5DF2
   crc_vol_1=0xAAA86ABD
   crc_dir_log=0x8FBD9ADE
   crc_dir_pic=0xE3D704F2
   crc_dir_view=0x930F7400
   crc_dir_snd=0x3CE0C5B7

   [sqtlc3]
   name=Space Quest: The Lost Chapter v10.0 2001-07-05
   inherits=pc_2_936
   id=TLC
   crc_object=0x059540C8
   crc_words=0x73A90362
   crc_vol_0=0x12346AA9
   crc_vol_1=0xA29011F4
   crc_dir_log=0x2D7335CC
   crc_dir_pic=0x017FF22F
   crc_dir_view=0x1954A2FD
   crc_dir_snd=0x0766AEDA

 */

/* samples & templates */
    "Groza [AGDS sample]",
    FFV, 0x0, 0x5501A, 0x0000,
    "AGI Studio tutorial game",
    FFV, 0x1f3f, 0x3fab3, 0x0000,
    "AGI Template game (1.11)",
    FFV, 0x4389, 0x4020c, 0x0000,
    "CC's AGI Template game (0.1)",
    FFV, 0xbb46, 0x41ccf, 0x0000,
    "CC's AGI Template game (0.1/mouse)",
    FFV, 0x8fb6, 0x41a61, 0x0000,
    "AGImouse 0.6 demo 1",
    FFV, 0xd383, 0x40f31, 0x0000,
    "AGImouse 0.6 demo 2",
    FFV, 0xab76, 0x40d74, 0x0000,
    "AGImouse 0.7 demo",
    FFV, 0x1452, 0x3f2f7, 0x0000,
    "AGImouse 1.0 demo",
    FFV, 0x9f9f, 0x3f744, 0x0000,
    "AGImouse 1.1 demo",
    FFV, 0x46f1, 0x3f74f, 0x0000,
    "AGImouse 1.1 demo (VDM)",
    FFV, 0x72dd, 0x7fd0e, 0x0000,

/* english language demos & games */
    "Acidopolis (1.0) [demo] [A]",
    FFV, 0x25bd, 0x5a434, 0x0000,
    "Acidopolis (1.0) [demo] [B]",
    FFV, 0x7ce4, 0x609ce, 0x0000,
    "Agent-0055 (1.0)",
    FFV, 0xb39d, 0x77d51, 0x0000,
    "Agent Quest",
    FFV, 0xfac1, 0x40c6f, 0x0000,
    "AGI Piano [demo]",
    FFV, 0xbab1, 0x185a6, 0x0000,
    "AGI Trek",
    FFV, 0xa69b, 0x40d80, 0x0000,
    "Apocalyptic Quest (0.03 alpha) [demo]",
    FFV, 0xc32c, 0x49f7d, 0x0000,
    "Beyond the Titanic",
    FFV, 0xbbaa, 0x45337, 0x0000,
    "Botz [A]",
    FFV, 0xd175, 0x3f83a, 0x0000,
    "Botz [B]",			/* new version? */
    FFV, 0x30e8, 0x3f866, 0x0000,
    "CPU-21 [demo]",
    FFV, 0x2777, 0x4584b, 0x0000,
    "Dashiki [demo]",
    FFV, 0xfd22, 0x7b5df, 0x0000,
    "Dashiki (256col) [demo]",
    FFV, 0xee9d, 0x9405b, 0x0000,
    "Date Quest (1.0)",
    FFV, 0x4479, 0xbc33b, 0x0000,
    "Dave's Quest (0.07) [demo]",
    FFV, 0xb243, 0x91acf, 0x0000,
    "DG (1.1) [demo]",
    FFV, 0xd455, 0x4e958, 0x0000,
    "Disco Nights [demo]",
    FFV, 0x0ade, 0x5a3c2, 0x0000,
    "Elfintard [demo]",
    FFV, 0xc58f, 0x401a5, 0x0000,
    "Escape from the Desert [demo]",
    FFV, 0x7f74, 0x72154, 0x0000,
    "Escape Quest [demo]",
    FFV, 0xe9d5, 0x5d077, 0x0000,
    "Fuck Quest",
    FFV, 0xbb17, 0x51b83, 0x0000,
    "Fuck Quest 2: Romancing the Bone [demo]",
    FFV, 0x8f81, 0xa2f63, 0x0000,
    "Get Outta Space Quest",
    FFV, 0x6168, 0x42f82, 0x0000,
    "Goodman [demo] [A]",
    FFV, 0x7a31, 0x81d9f, 0x0000,
    "Goodman demo [B]",
    FFV, 0x6b69, 0x81ed0, 0x0000,
    "Go West, Young Hippie [demo]",
    FFV, 0x0cf6, 0x45cdf, 0x0000,
    "Hangman",
    FFV, 0xfbd6, 0x14c96, 0x0000,
    "HankQuest 1 (1.0)",
    FFV, 0x0c8a, 0x638d4, 0x0000,
    "Herbao (0.01) [demo]",
    FFV, 0xf7a1, 0x41a8e, 0x0000,
    "Herbao (0.02) [demo]",
    FFV, 0x9eb2, 0x4334f, 0x0000,
    "Hermit",
    FFV, 0x9d5a, 0x8f4f1, 0x0000,
    "Hero's Adventure [demo]",
    FFV, 0x6f9b, 0x8b5bf, 0x0000,
    "Jack and Julia: Vampyr [demo]",
    FFV, 0x5e9f, 0x17d6d, 0x0000,
    "Jeff's Quest [demo]",
    FFV, 0x3df6, 0x91e02, 0x0000,
    "Jen's Quest [demo]",
    FFV, 0x7b68, 0x6adcd, 0x0000,
    "Justin Quest (1.0)",
    FFV, 0xa7a6, 0xab9a8, 0x0000,
    "Lawman for Hire [demo]",
    FFV, 0xc629, 0x8b24e, 0x0000,
    "MD Quest (0.66 beta) [demo]",
    FFV, 0xa203, 0x4865a, 0x0000,
    "Monkey Man",
    FFV, 0x2b35, 0x4ee64, 0x0000,
    "Napalm Quest (0.2) [demo]",
    FFV, 0x4c34, 0x4e58f, 0x0000,
    "Napalm Quest (0.5) [demo]",
    FFV, 0x09ed, 0x77a8a, 0x0000,
    "Naturette (1.2)",
    FFV, 0xe462, 0x6f9ec, 0x0000,
    "Nick's Quest (1.0)",
    FFV, 0x1652, 0x45b55, 0x0000,
    "Operation: RECON Teaser (1.0) [demo]",
    FFV, 0x7b00, 0x967dd, 0x0000,
    "Operation: RECON Teaser (1.1) [demo]",
    FFV, 0x8b11, 0x96909, 0x0000,
    "Oyster [demo]",
    FFV, 0x58f6, 0x40370, 0x0000,
    "Phantasmagoria",
    FFV, 0x9fe1, 0x5859e, 0x0000,
    "Pirate Quest 1 [demo] [A]",
    FFV, 0xe43a, 0x3d45c, 0x0000,
    "Pirate Quest 1 [demo] [B]",
    FFV, 0x14d6, 0x3d4e4, 0x0000,
    "Prinse Quest I (2.051) [demo]",
    FFV, 0x8511, 0x75c11, 0x0000,
    "PrinseQuest 1 [demo]",
    FFV, 0x75d6, 0x76104, 0x0000,
    "Quest for Home [demo]",
    FFV, 0xe5a8, 0x17945, 0x0000,
    "Ralph's Quest [demo]",
    FFV, 0x8774, 0x50179, 0x0000,
    "Residence 44 Quest (1.0a) [demo]",
    FFV, 0x261c, 0xb4d7a, 0x0000,
    "Residence 44 Quest",
    FFV, 0xc3f4, 0xaedd8, 0x0000,
    "Schiller [demo]",
    FFV, 0x0012, 0x410d8, 0x0000,
    "Serguei's Destiny (1.0)",
    FFV, 0xef2e, 0x72688, 0x0000,
    "Shifty (1.0)",
    FFV, 0x6ad4, 0x6b266, 0x0000,
    "Ship [demo]",
    FFV, 0x00dd, 0x525c2, 0x0000,
    "Sliding Tiles Game",
    FFV, 0x09e0, 0x17599, 0x0000,
    "Snowboarding Demo (1.0)",
    FFV, 0x6b78, 0x41b96, 0x0000,
    "Space Quest: The Lost Chapter",
    FFV, 0x095d, 0x6a7da, 0x0000,
    "Space Quest: The Lost Chapter (1.0/mouse)",
    FFV, 0x09e9, 0x6f7f8, 0x0000,
    "Space Quest: The Lost Chapter (10.0)",
    FFV, 0x208b, 0x6e70f, 0x0000,
    "Space Trek (1.0) [A]",
    FFV, 0xb00a, 0x64cb7, 0x0000,
    "Space Trek (1.0) [B]",
    FFV, 0x1b7f, 0x6596a, 0x0000,
    "Special Delivery",
    FFV, 0x747b, 0x41c38, 0x0000,
    "Speeder Bike Challenge [demo]",
    FFV, 0x7b52, 0x435ac, 0x0000,
    "Tex McPhilip: Quest for the Papacy",
    FFV, 0x2c3d, 0x7466f, 0x0000,
    "The Grateful Dead Game [A]",
    FFV, 0x8e3a, 0x7e26e, 0x0000,
    "The Grateful Dead Game [B]",
    FFV, 0x8fa6, 0x7dd5c, 0x0000,
    "The Legendary Harry Soupsmith (0.04) [demo] [A]",
    FFV, 0x84e1, 0x6b139, 0x0000,
    "The Legendary Harry Soupsmith (0.04) [demo] [B]",
    FFV, 0xf22b, 0x5a4e1, 0x0000,
    "The Lost Planet (0.0001b) [demo]",
    FFV, 0x3bf1, 0x56278, 0x0000,
    "The Lost Planet (0.9) [demo]",
    FFV, 0xdd63, 0x98c91, 0x0000,
    "The Lost Planet (1.0) [demo]",
    FFV, 0x3f1c, 0xee453, 0x0000,
    "The New Adventures of Roger Wilco (1.00)",
    FFV, 0x201e, 0x97ec6, 0x0000,
    "The Ruby Cast [demo]",
    FFV, 0xc411, 0x7d473, 0x0000,
    "The Search for Tolbaga",
    FFV, 0x6a4c, 0x92a89, 0x0000,
    "The Shadow Plan [demo]",
    FFV, 0x227e, 0x458da, 0x0000,
    "The Sorceror's Appraisal",
    FFV, 0xb90f, 0x76ed8, 0x0000,
    "Time Quest (D0.1) [demo]",
    FFV, 0x7c0c, 0x5f6c2, 0x0000,
    "Time Quest (D0.2) [demo]",
/* NAGI incorrectly lists this as "Tutorial Game" */
    FFV, 0xe3bf, 0x620f6, 0x0000,
    "URI Quest (0.173) [A]",
    FFV, 0x4027, 0x7e401, 0x0000,
    "URI Quest (0.173) [B]",
    FFV, 0x1500, 0x7cf37, 0x0000,
    "V - The Graphic Adventure (0.10 beta) [demo]",
    FFV, 0x9275, 0x5d9c6, 0x0000,
    "Voodoo Girl: Queen of the Darned (1.2)",
    FFV, 0x717b, 0x511ad, 0x0000,
    "WOK [demo]",
    FFV, 0x18c3, 0x6dacc, 0x0000,

/* foreign language demos */
    "Abrah, l'orphelin de l'espace (1.0 french)",
    FFV, 0x2ec4, 0x80081, 0x0000,
    "Coco Coq (1.0.1 french)",
    FFV, 0x2bdd, 0x74b86, 0x0000,
    "DG (1.0 french) [demo]",
    FFV, 0x2ab3, 0x40ade, 0x0000,
    "DG (1.1 french) [demo]",
    FFV, 0x5dcb, 0x4ec4c, 0x0000,
    "Jolimie le village maudit (1.0 french)",
    FFV, 0xae3a, 0x71c62, 0x0000,
    "Joulumaa (0.05 finnish) [demo]",
    FFV, 0xa8bb, 0x50aff, 0x0000,
    "Les Inseparables (0.1 french) [demo]",
    FFV, 0x3470, 0x92483, 0x0000,
    "Les Inseparables (0.2 french) [demo]",
    FFV, 0xb577, 0x91982, 0x0000,
    "Naturette (1.2 french)",
    FFV, 0x94b8, 0x8503e, 0x0000,
    "Residence 44 Quest (0.99 dutch) [demo]",
    FFV, 0x0921, 0xb6973, 0x0000,

/****************** FANFIC V3 (FFV3) ******************/

    "V - The Graphic Adventure (0.1 Beta)",
    FFV3, 0x9910, 0xd3343, 0x0000,

    "*",
    0, 0x0000, 0x000000, 0x0000
};

void
data_usage (void)
{
  type16 i = 0;
  type8 version = 1;
  type16 count = 0, count2 = 0;

  count = (sizeof (int_table) / sizeof (struct intbase)) - 1;
  while (version != 0)
    {
      version = version_table[i].agi_version;
      if ((version_table[i].crcvalue != 0) && (version_table[i].agi_version < FFV))
	count2++;
      i++;
    }
  fprintf (stderr,
	   "using database " BASEVERSION " (" BASEDATE "):\n");
  fprintf (stderr,
	   "Detects AGI interpreter and game version.\n");
  fprintf (stderr, "Current version detects %d interpreters and %d original games.\n",
	   count, count2);
}


void
data_list (type8 listype)
{
  type16 i = 0, j, count = 1;

  fprintf (stdout, "List of %s",
	   (listype != 11) ? "fully detected" : "urgently wanted");
  if (listype == 2)
    fprintf (stdout, " AGIv2");
  if (listype == 3)
    fprintf (stdout, " AGIv3");
  if (listype == 12)
    fprintf (stdout, " fan-fiction");
  fprintf (stdout, " games:\n");

  while (version_table[i].agi_version != 0)
    {
      if (version_table[i].agi_version < FFV)
	{
	  if (((version_table[i].crcvalue != 0) && (listype == 1)) ||
	      ((version_table[i].crcvalue != 0) &&
	       (version_table[i].agi_version == 2) && (listype == 2)) ||
	      ((version_table[i].crcvalue != 0) &&
	       (version_table[i].agi_version == 3) && (listype == 3)) ||
	      ((version_table[i].crcvalue == 0) && (listype == 11)))
	    {
	      fprintf (stdout, "%3d. %s", count, version_table[i].game);
	      count++;

	      if (version_table[i].interp_match != 0)
		{
		  j = 0;
		  while ((int_table[j].int_id != version_table[i].interp_match)
			 && (int_table[j].int_id != 0))
		    j++;
		  if (int_table[j].int_id != 0)
		    fprintf (stdout, " [Interpreter %s]", int_table[j].interp);
		}
	      fprintf (stdout, "\n");
	    }
	}
      else if (listype == 12)
	{
	  fprintf (stdout, "%3d. %s\n", count, version_table[i].game);
	  count++;
	}
      i++;
    }
}
